<?php
    require '../../data.php';

    $user = mysqli_real_escape_string($data, $_POST['username']);
    $judul = mysqli_real_escape_string($data, $_POST['judulkeluhan']);
    $kode = mysqli_real_escape_string($data, $_POST['kodekeluhan']);
    $wa = mysqli_real_escape_string($data, $_POST['wakeluhan']);
    $msgkeluhan = mysqli_real_escape_string($data, $_POST['keluhanmsg']);

    $ikelu = "INSERT into keluhan_member(kode_keluhan, sender_keluhan, msg_keluhan, tgl_keluhan) VALUES('$kode', '$user', '$msgkeluhan', '$today')";
    $qkelu = mysqli_query($data, $ikelu);

    if($qkelu) {
        $ikasus = "INSERT into kasus_keluhan(user_keluhan, judul_keluhan, wa_mem, kode_kasus, tgl_kasus) VALUES('$user', '$judul', '$wa', '$kode', '$today')";
        $qkasus = mysqli_query($data, $ikasus);

        if($qkasus) {
            echo '<div class="alert alert-success" role="alert">
                <h3 class="fw-bold">Keluhan sudah diterima</h3>
                <p>Laporan keluhan bosku sudah diterima oleh sistem. Mohon menunggu pihak team kami akan segera balas memo keluhan anda. Silahkan salin & simpan Kode KASUS dibawah ini:</p>
                <h5 class="fw-bold">'.$kode.'</h5>
                <p>Untuk melihat balasan dari team kami salin kode kasus ini, dan masukkan di kotak pengisian keluhan untuk menampilkan balasan dari team kami.</p>
                <p>Terima kasih, salam Hormat dari kami</p>
            </div>
            <button type="button" id="ttppesan" class="btn btn-light"><i class="fa fa-times"></i> Tutup Pesan</button>';
            
        } else {

            echo '<div class="alert alert-danger" role="alert">
                <h3>Opps!! Laporan Keluhan tidak dapat diproses!</h3>
                <p>Mohon maaf atas ketidaknyamannya, silahkan tekan tombol dibawah untuk mengisi kembali keluhan anda. Terima kasih.</p>
            </div>
            <button type="button" id="ttppesan" class="btn btn-light"><i class="fa fa-times"></i> Tutup Pesan</button>';
        }

    } else {

        echo '<div class="alert alert-danger" role="alert">
                <h3>Opps!! Laporan Keluhan tidak dapat diproses!</h3>
                <p>Mohon maaf atas ketidaknyamannya, silahkan tekan tombol dibawah untuk mengisi kembali keluhan anda. Terima kasih.</p>
            </div>
            <button type="button" id="ttppesan" class="btn btn-light"><i class="fa fa-times"></i> Tutup Pesan</button>';

    }

?>